{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function ex_vm_rem, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nCustIds    = .customer_info->array<1>\r\nCustIds    = ex_vm_rem(CustIds)\r\nDateInFrom = .date_in_from->text\r\nDateInThru = .date_in_thru->text\r\nReactors   = .reactors->array\r\nReactors   = ex_vm_rem(Reactors)\r\n\r\nWithStmt = ''\r\n\r\nif DateInFrom = '' Or DateInThru = '' then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must enter a date from and thru...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\n\r\nBegDteNum = Iconv(DateInFrom,'D')\r\nEndDteNum = Iconv(DateInThru,'D')\r\nDteDifNum = EndDteNum - BegDteNum\r\nIf DteDifNum < 0 Then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'Date From can not be greater than Date Thru...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\nIf DteDifNum > 31 then \r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'Difference in dates can not be greater than 31 days...'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\n    return 0\r\nend\r\n\r\n*CHECK BOX FOR GRID\r\nGrid = .grid->check\r\nif Grid then\r\n   Grid = 'GRID'\r\nend else\r\n   Grid = ''\r\nend\r\n\r\nRetVal = ''\r\nRetVal := DateInFrom:'*'\r\nRetVal := DateInThru:'*'\r\nRetVal := CustIds:'*'\r\nRetVal := Reactors:'*'\r\nRetVal := Grid:'*'\r\nend_dialog( @window, RetVal )\r\nreturn 0"
        }
    }
}